package cn.superdesk.uniorder.dubbo.consumer.marketing;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.marketing.UnifiedStatisticsVirt;
import cn.superdesk.uniorder.dto.param.marketing.UnifiedStatisticsVirtParam;
import cn.superdesk.uniorder.dto.param.marketing.UnifiedStatisticsVirtQueryCriteria;
import cn.superdesk.uniorder.dubbo.facade.marketing.DubboUnifiedStatisticsVirtDimMonthService;
import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-09-06 12:00:09
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-09-06 12:00:09
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class UnifiedStatisticsVirtDimMonthDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 10000, retries = -1)
	private DubboUnifiedStatisticsVirtDimMonthService dubboUnifiedStatisticsVirtDimMonthService;


	/****************************************** extends BaseService 部分 start ******************************************/

	public void addObj(UnifiedStatisticsVirtParam param) {

		dubboUnifiedStatisticsVirtDimMonthService.addObj(param);

	}

	public void updateObj(UnifiedStatisticsVirtParam param) {

		dubboUnifiedStatisticsVirtDimMonthService.updateObj(param);
	}

	public void deleteObj(Long id) {

		dubboUnifiedStatisticsVirtDimMonthService.deleteObj(id);
	}

	public UnifiedStatisticsVirt findById(Long id) {

		return dubboUnifiedStatisticsVirtDimMonthService.findById(id);
	}

	public PageInfo<UnifiedStatisticsVirt> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {

		return dubboUnifiedStatisticsVirtDimMonthService.findByPaging(conditions, pageNun, pageSize);
	}

	public List<UnifiedStatisticsVirt> findAll(Map<String, Object> queryMap) {

		return dubboUnifiedStatisticsVirtDimMonthService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	public void addUnifiedStatisticsVirt(UnifiedStatisticsVirtParam param) {

		dubboUnifiedStatisticsVirtDimMonthService.addUnifiedStatisticsVirt(param);
	}


	public void updateUnifiedStatisticsVirt(UnifiedStatisticsVirtParam param) {

		dubboUnifiedStatisticsVirtDimMonthService.updateUnifiedStatisticsVirt(param);
	}


	public void deleteUnifiedStatisticsVirt(Long id) {
		dubboUnifiedStatisticsVirtDimMonthService.deleteUnifiedStatisticsVirt(id);
	}


	public UnifiedStatisticsVirt findUnifiedStatisticsVirtById(Long id) {

		return dubboUnifiedStatisticsVirtDimMonthService.findUnifiedStatisticsVirtById(id);
	}


	public R<List<UnifiedStatisticsVirt>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {

		return dubboUnifiedStatisticsVirtDimMonthService.pageQuery(conditions, pageNun, pageSize);
	}


	public R<List<UnifiedStatisticsVirt>> pageQueryGenericParam(UnifiedStatisticsVirtQueryCriteria queryCriteria) {

		return dubboUnifiedStatisticsVirtDimMonthService.pageQueryGenericParam(queryCriteria);
	}


	/****************************************** 统计 start ******************************************/

	public void storeVirtOrderStatisticalDimMonth(UnifiedStatisticsVirt item, Integer year, Integer month) {

		dubboUnifiedStatisticsVirtDimMonthService.storeVirtOrderStatisticalDimMonth(item, year, month);
	}

	public List<UnifiedStatisticsVirt> queryVirtOrderStatisticalDimMonth(Map<String, Object> queryMap) {

		return dubboUnifiedStatisticsVirtDimMonthService.queryVirtOrderStatisticalDimMonth(queryMap);
	}

}
